/*
 * Copyright (c) 2010 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.converters;


/**
 * ClassConverter provides
 *
 * @author tiwe
 * @version $Id$
 */
public class ClassConverter implements Converter<Class<?>>{

    @Override
    public Class<?> fromString(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            String error = "Caught " + e.getClass().getName();
            throw new IllegalArgumentException(error, e);
        }
    }

    @Override
    public String toString(Class<?> cl) {
        return cl.getName();
    }

    @SuppressWarnings("unchecked")
    @Override
    public Class<Class<?>> getJavaType() {
        return (Class)Class.class;
    }

}
